Aperture, Sibelius, and Snow Leopard

Discussion in 'Mac Apps and Mac App Store' started by inspirations365, Oct 5, 2009.

  1. inspirations365 macrumors regular

    Joined:
    Dec 28, 2008
    #1
    Hello,

    My upgrade to SL has been a relatively smooth one compared to what I've been seeing on the internet and around here. My question doesn't really have to do with a problem as much as I just need information.

    It is my understanding that Aperture and Sibelius require certain newer versions of their software to run under SL.

    For Aperture, if I try to install Aperture 2 and then upgrade, the software will not open at all. Is there any way to get around this?

    Same question about Sibelius; does anyone know the procedure for getting this to run on SL?

    Thanks!
     
  2. Mr Dobey macrumors 6502

    Joined:
    Aug 8, 2008
    #2
    Yes

    I'm running both programs fine on Snow Leopard.

    You need all of the latest versions;

    Sibelius 6.0.3

    Aperture 2.1.4

    Snow Leopard 10.6.1

    For Sibelius, install 6.0 from your original disk than without opening Sibelius install the 6.0.3 Update which can be found on the Sibelius site.

    For Aperture, download the 2.1.4 demo from Apple's website and use the serial number that you got when you purchased the software.

    Hope this helps.
     

Share This Page